module.exports = function(grunt) {

	var rt ='src-dev/',
		indexDir = rt + 'index/',
		tempDir = rt + 'temp/';

	console.log(grunt.option('keys'));

	grunt.file.exists(tempDir) && grunt.file.delete(tempDir);
	grunt.file.mkdir(tempDir);

	grunt.initConfig({
		pkg: grunt.file.readJSON('package.json'),
		rt : rt,
		temp: tempDir,
		index : indexDir,
		clean: {
			build: ['<%=temp%>']
		},
		jsdoc : {
			dist : {
				src : '<%=index%>doc.js',
				options : {
					destination : '<%=rt%>../out/'
				}
			}
		},
		cssmin: {
			//debug : true,
			combine: {
				files: {
					'<%=temp%>c.min.css': ['<%=rt%>common/reset.css', '<%=index%>c.css']
				}
			}
		},
		includes : {
			files: {
				//debug: true,
				src: ['<%=rt%>**/*.html'],
				dest: '<%=temp%>',
				cwd: '.',
				flatten: true,
				options: {
					banner: ''
				}
			}
		},
		watch : {
			files : ['<%=index%>j.js','<%=index%>*.html' ,'<%=index%>c.css'],
			tasks : ['clean', 'uglify', 'cssmin', 'includes', 'copy', 'clean'],
			//debug : true,
			options: {
				livereload: true
			}
		},
		uglify: {
			dist: {
				files: {
					'<%=temp%>j.js': ['<%=index%>*.js']
				}
			}
		},
		copy: {
			main: {

				files: [
					{
						flatten: true,
						expand: true,
						filter: 'isFile',
						src: ['<%=temp%>index.html'],
						dest: '<%=rt%>../src/'
					},
					//{src: ['<%=temp%>doc/**'], dest: '<%=temp%>../'},
				]
			}
		}

	});


	grunt.loadNpmTasks('grunt-contrib-clean');
	grunt.loadNpmTasks('grunt-contrib-cssmin');
	grunt.loadNpmTasks('grunt-contrib-uglify');
	grunt.loadNpmTasks('grunt-contrib-watch');
	grunt.loadNpmTasks('grunt-contrib-copy');
	grunt.loadNpmTasks('grunt-includes');

	grunt.registerTask('build', ['clean', 'uglify', 'cssmin', 'includes', 'copy', 'clean']);
	grunt.registerTask('default', ['build']);

};