
/*
 * @author: enix@foxmail.com
 * @version：1.0
 * */



	/**
	 * @name Hua
	 * @class Hua 单例
	 * @extends Object
	 * @constructor
	 * */

		/**
		 * @constant htmlNode
		 * @default
		 * @description 存储html #index>ul节点
		 * */

		/**
		 * @constant htmlNode
		 * @default
		 * @description 存储html #handler节点
		 * */

		/**
		 * @constant string
		 * @default 'addLinks.html'
		 * @description 添加链接离线时访问地址
		 * */


		/**
		*
		* @name getTemplate
		* @function
		* @description 获取模板字符串并缓存至Hua.t.<%name%>Tmpl属性上，下次调用只是访问属性不再操作html节点
		* @param {string} HTML ID
		* @returns {string} 模板字符串
		*
		*
		* @example
		*  <script type="text/tmpl" id="favoriteTmpl">
		*
		*	    <% var data = arguments[0];%>
        *			<% data.forEach(function(a, b){%>
	    *				<li class="animated swing" title="<%=b%>" alt="<%if(a.icon){%><%=a.icon%><%}else if(a.logopath){%><%=a.logopath%><%}%>">
	    *				    <div>
	    *						<a name="<%=b%>" href="<%=a.url%>"  title="<%=a.title%>">
	    *						<img  src="<%if(a.icon){%><%=a.icon%><%}else if(a.logopath){%><%=a.logopath%><%}else{%>images/default/default.jpg <%}%>"  />
        *						    <%if(!a.icon || /^data:image\/png;base64,/g.test(a.icon)){%>
		*						m<span>
		*							<%=a.title%>
		*						</span>
        *							<%}%>
	    *						</a>
	    *					</div>
	    *				</li>
	    *		    <%});%>
		* <\/script>
		*/

		/**
		 * @name getIndex
		 * @function
		 * @description 获取指定的节点在列表中的索引
		 * @param {node} htmlNode
		 * @returns {number}
		 *
		 * */

		/**
		 * @name getAllData
		 * @function
		 * @description 获取存储与 data/database.json中的所有数据
		 * @returns {array}
		 *
		 * */

		/**
		 * @name imgError
		 * @function
		 * @description 处理图片读取错误，用默认图片替换读取错误图片
		 * @param {node} img
		 * @returns {object} hua
		 * @example <img onerror="Hua.imgError(this)" />
		 *
		 *
		 * */

		/**
		 * @name removeChild
		 * @function
		 * @description 1.指定索引移除超链 2. 删除images文件夹中指定图片
		 * @param {number}
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name removeImg
		 * @function
		 * @description 删除images文件夹中指定图片
		 * @param {url} 'images/download/a.jpg'
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name updateData
		 * @function
		 * @description 更新数据，并存储至data/database.json文件中
		 * @param {number|object} number:删除指定索引数据 object: 在数据末增加此条数据
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name render
		 * @function
		 * @description 把生成的html字符串插入至指定位置
		 * @param {html} 字符串 字符串
		 * @param {node} 参考节点 参考节点
		 * @param {number} 插入位置 插入位置
		 * @returns {object} hua
		 * @example
		 *           '0': 'beforeBegin',
		 *           '1': 'afterBegin',
		 *           '2': 'beforeEnd',
		 *           '3': 'afterEnd'
		 *
		 * */

		/**
		 * @name pkg
		 * @function
		 * @description 用数据与模板生成html字符串并调用render 插入至指定位置 {@link render}
		 * @param {html} html字符串
		 * @param {node} 参考节点
		 * @param {nuber} 插入位置
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name refresh
		 * @function
		 * @description 重新渲染页面
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name update
		 * @function
		 * @param {array} [{url:'http://www.baidu.com',title:'baidu',icon:'images/download/abc.jpg'}]
		 * @description 更新数据
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name unique
		 * @function
		 * @param {array} [1,2,3,3,4]
		 * @description 去重   返回[1,2,3,4]
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name addEvent
		 * @event
		 * @description 监听添加按钮操作，离线跳转至本地页面，在线跳转至 http://m.src.com/client_favoritesurl
		 * @returns {object} hua
		 *
		 * */

		/**
		 * @name init
		 * @function
		 * @description 初始化方法 1.把匿名对象上的方法绑定至对象Hua上 2.获取模板 3.监听添加按钮动作
		 * @returns {object} hua
		 *
		 * */
